@keyframes timer {
	0% {}
	100% {}
}

@keyframes transition {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

@keyframes container {
	0% { transform: translateX(-100%); }
	25% { transform: translateX(-100%); }
	100% { transform: none; }
}

header {
    width: 100%;
    height: auto;
}

.banner {
	position: relative;
	width: 100%;
	height: auto;
	font-size: 0;
	line-height: 0;
	overflow: hidden;
}

.banner>.placeholder {
    width: 100%;
    height: auto;
}

.banner>.slide {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-repeat: no-repeat;
	background-position: 0 0;
	background-size: cover;
	
	z-index: 1;
	opacity: 0;
}

.banner>.slide.active {
	z-index: 3;
	opacity: 1;
}

.banner>.slide.active.previous {
	z-index: 2;
}

.banner>.slide>.container {
	position: absolute;
    bottom: 12.5%;
    left: 0;
    box-sizing: border-box;
    max-width: 75%;
    padding: 32px;
    border-right: 12px solid #ffdc00;
    background-color: rgba(0,0,0,0.8);
}

.banner>.slide.active>.container {
	animation: container 2s ease;
}

.banner>.slide.active>.container>.titulo {
	font-size: 28px;
	font-weight: bold;
	line-height: 2em;
	color: #ffdc00;	
}

.banner>.slide.active>.container>.descricao {
	font-size: 20px;
    font-weight: normal;
    line-height: 1em;
    letter-spacing: 1px;
    color: #ffffff;
}

.banner>.slide1 {
	background-image: url(/media/images/home/banner01.jpg);
}

.banner>.slide2 {
	background-image: url(/media/images/home/banner02.jpg);
}

.banner>.controls {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;
	z-index: 4;
}

.banner>.controls>.next,
.banner>.controls>.previous {
	position: absolute;
	width: 100px;
	height: 100%;
	cursor: pointer;
	pointer-events: all;
	background-color: rgba(0,0,0,0);
	transition: background 200ms;
}

.banner>.controls>.next:hover,
.banner>.controls>.previous:hover {
	background-color: rgba(0,0,0,0.5);
}

.banner>.controls>.previous {
	left: 0;
}

.banner>.controls>.next {
	right: 0;
}

.banner>.controls>.nav {
	position: absolute;
	width: 100%;
	height: 100px;
	bottom: 0;
}